Subject: sharecropping land opportunity

From: whitlock <[email-masked]>
Date: 21 Jul 1996 05:52:04 GMT

I represent a party who has nearly 100 acres of pristine, fertile land 
with an abundance of water in Northern New Mexico. This individual is 
seeking a share-cropper who would like to enter into a mutually 
beneficial business relationship. The land might be ideal for flower 
farming that is harmonious with the seasons of New Mexico.

If interested, please e-mail the address below and I will be happy to 
place you in contact with the owner.

[email-masked]